- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QVFbScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qscreenvfb_qws.h.

`#include <qscreenvfb_qws.h>`

Inheritance diagram for QVFbScreen:
[legend]

List of all members.

## Public Member Functions
| QVFbScreen (int display_id)
virtual | ~QVFbScreen ()
virtual bool | initDevice ()
virtual bool | connect (const QString &displaySpec)
virtual void | disconnect ()
virtual void | shutdownDevice ()
virtual void | save ()
virtual void | restore ()
virtual void | setMode (int nw, int nh, int nd)
virtual void | setDirty (const QRect &r)
virtual void | blank (bool)

## Constructor & Destructor Documentation

QVFbScreen | ( | int | display_id | ) | `[explicit]`

virtual ~QVFbScreen | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool initDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual bool connect | ( | const QString & | displaySpec | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual void disconnect | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual void shutdownDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void save | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void restore | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void setMode | ( | int | nw,
|  | int | nh,
|  | int | nd
| ) |  | `[virtual]`

Search for all occurrences

Implements QScreen.

virtual void setDirty | ( | const QRect & | r | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

virtual void blank | ( | bool |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QScreen.

The documentation for this class was generated from the following file:

- QtGui/qscreenvfb_qws.h

QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen
QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen QVFbScreen